#!/bin/bash
# Copyright (C) 2024  Umorpha Systems
# SPDX-License-Identifier: AGPL-3.0-or-later

osi-mk \
	--fmt=erofs \
	--fmtconf=erofs_compression=lz4 \
	\
	--arch=armv7h \
	--conf=bootloader=none \
	--package=base \
	--package=linux-libre \
	\
	--package=uboot4extlinux-orangepi_one \
	--module=modules/umorpha-sshusers.sh \
	--conf=genfstab=false \
	--package-file=pkg/umorpha-disk.pkg.tar.zst \
	--module=modules/umorpha-disk.sh \
	--module=modules/base-arm.sh \
	\
	--module=modules/base-net.sh \
	\
	"$@"
